Index: fedd/wsdl/fedd_messages.wsdl
===================================================================
--- fedd/wsdl/fedd_messages.wsdl	(revision 338e9a74a9f42e9dc108e27269fb1a85b174a3ce)
+++ fedd/wsdl/fedd_messages.wsdl	(revision 338e9a74a9f42e9dc108e27269fb1a85b174a3ce)
@@ -0,0 +1,146 @@
+<?xml version="1.0"?>
+<definitions name="fedd"
+  targetNamespace="http://www.isi.edu/faber/fedd_messages"
+  xmlns:tns="http://www.isi.edu/faber/fedd_messages"
+  xmlns:xsd1="http://www.isi.edu/faber/fedd_types"
+  xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
+  xmlns="http://schemas.xmlsoap.org/wsdl/">
+
+  <!--
+  The message definitions are all simple embeddings of one of the types
+  from fedd_types.xsd 
+  -->
+  <message name="RequestAccessRequestMessage">
+    <part name="RequestAccessRequestBody" type="xsd1:requestType"/>
+  </message>
+
+  <message name="RequestAccessResponseMessage">
+    <part name="RequestAccessResponseBody" type="xsd1:responseType"/>
+  </message>
+
+  <message name="ReleaseAccessRequestMessage">
+    <part name="ReleaseAccessRequestBody" type="xsd1:releaseRequestType"/>
+  </message>
+
+  <message name="ReleaseAccessResponseMessage">
+    <part name="ReleaseAccessResponseBody" type="xsd1:releaseResponseType"/>
+  </message>
+  <message name="CreateRequestMessage">
+    <part name="CreateRequestBody" type="xsd1:createRequestType"/>
+  </message>
+
+  <message name="CreateResponseMessage">
+    <part name="CreateResponseBody" type="xsd1:createResponseType"/>
+  </message>
+
+  <message name="VtopoRequestMessage">
+    <part name="VtopoRequestBody" type="xsd1:vtopoRequestType"/>
+  </message>
+
+  <message name="VtopoResponseMessage">
+    <part name="VtopoResponseBody" type="xsd1:vtopoResponseType"/>
+  </message>
+
+  <message name="VisRequestMessage">
+    <part name="VisRequestBody" type="xsd1:visRequestType"/>
+  </message>
+
+  <message name="VisResponseMessage">
+    <part name="VisResponseBody" type="xsd1:visResponseType"/>
+  </message>
+
+  <message name="InfoRequestMessage">
+    <part name="InfoRequestBody" type="xsd1:infoRequestType"/>
+  </message>
+
+  <message name="InfoResponseMessage">
+    <part name="InfoResponseBody" type="xsd1:infoResponseType"/>
+  </message>
+
+
+  <message name="TerminateRequestMessage">
+    <part name="TerminateRequestBody" type="xsd1:terminateRequestType"/>
+  </message>
+
+  <message name="TerminateResponseMessage">
+    <part name="TerminateResponseBody" type="xsd1:terminateResponseType"/>
+  </message>
+
+  <message name="FaultMessage">
+    <part name="FaultBody" type="xsd1:faultType"/>
+  </message>
+
+  <portType name="feddPortType">
+    <operation name="RequestAccess">
+      <documentation>
+	Request access to a testbed.  The request includes the various
+	resources needed (loosely), the identity of the requester, access
+	credentials andscheduling information.  A successful response includes
+	enough information for the federation system to access the testbed and
+	actually request resources.
+      </documentation>
+      <input message="tns:RequestAccessRequestMessage"/>
+      <output message="tns:RequestAccessResponseMessage"/>
+      <fault name="FeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="ReleaseAccess">
+      <documentation>
+	Release an allocation of access to a testbed. This informs the testbed
+	that it is no longer necessary to allow the access mthods negotiated by
+	a RequestAccess cal.
+      </documentation>
+      <input message="tns:ReleaseAccessRequestMessage"/>
+      <output message="tns:ReleaseAccessResponseMessage"/>
+      <fault name="FeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Create">
+      <documentation>
+	A request to create a federated experiment from the included
+	description.  Credentials and access information is also provided.  On
+	success a logical description of the experiment is returned as well as
+	the information about federated testbeds needed to access local
+	services.
+      </documentation>
+      <input message="tns:CreateRequestMessage"/>
+      <output message="tns:CreateResponseMessage"/>
+      <fault name="FeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Vtopo">
+      <documentation>
+	A request for the virtual topology of the experiment.  Requesters with
+	different access rights may receive different information.
+      </documentation>
+      <input message="tns:VtopoRequestMessage"/>
+      <output message="tns:VtopoResponseMessage"/>
+      <fault name="FeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Vis">
+      <documentation>
+	A request for the visualization of the experiment.  This is really a
+	legacy interface for visual tools that cannot generate their own
+	visualization.  Requesters with different access rights may receive
+	different information.
+      </documentation>
+      <input message="tns:VisRequestMessage"/>
+      <output message="tns:VisResponseMessage"/>
+      <fault name="FeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Info">
+      <documentation>
+	A one-stop request for meta-data on the experiment.  Includes all the
+	info from a Vtopo and a Vis request.
+      </documentation>
+      <input message="tns:InfoRequestMessage"/>
+      <output message="tns:InfoResponseMessage"/>
+      <fault name="FeddFault" message="tns:FaultMessage"/>
+    </operation>
+    <operation name="Terminate">
+      <documentation>
+	Stop this experiment and deallocate its resources.
+      </documentation>
+      <input message="tns:TerminateRequestMessage"/>
+      <output message="tns:TerminateResponseMessage"/>
+      <fault name="FeddFault" message="tns:FaultMessage"/>
+    </operation>
+  </portType>
+</definitions>
